﻿;Umbenennen in Dateiendung *.ahk
;KommaPunkt v1.0.0
;Patrick Weber 15/12/2016
;Getestet mit: AutoHotkey Version v1.1.24.01 (AutoHotkey_L)
#NoEnv
#SingleInstance force
SendMode Input

menu, tray, Click, 1
menu, tray, NoStandard
menu, tray, add, Alle Programme, mALL
menu, tray, add, Modeling/SolidDesigner, mSD
menu, tray, add, Drafting/ME10, mME
menu, tray, add, ModelManager/DrawingManager, mMM
menu, tray, add
menu, tray, add, Ein/Aus, mSuspend
menu, tray, add
menu, tray, add, Beenden, mExit

;Standardmenüpunkt (=linke Maustaste auf Tray-Symbol)
menu, tray, Default, Ein/Aus

;Aktiviere alle CAD-Programme und setze Initialzustand der Toggles
menu, tray, ToggleCheck, Modeling/SolidDesigner
bSD := true
menu, tray, ToggleCheck, Drafting/ME10
bME := true
menu, tray, ToggleCheck, ModelManager/DrawingManager
bMM := true
bALL:= false

NUMPADDOT::
	if (bALL = true) {
		Send, .
		return
	}
	pSD := 0
	pME := 0
	pMM := 0
	pDM := 0
	if (bSD = true) {
		Process, Exist, SolidDesigner.exe
		pSD := ERRORLEVEL
	}
	if (bME = true) {
		Process, Exist, ME10F.exe
		pME := ERRORLEVEL
	}
	if (bMM = true) {
		Process, Exist, ModelManager.exe
		pMM := ERRORLEVEL
		Process, Exist, DrawingManager.exe
		pDM := ERRORLEVEL
	}
	; Ermittle Process ID des aktiven Fensters
	WinGet, pA_win, PID, A
	
	;---------------------------------------------
	;Beispiel für einfache Erweiterung ohne Menüs; Folgende zwei Zeilen auskommentieren (- ";") und anpassen!
	;Process, Exist, MeineCADAnwendung.exe
	;pCADAnwendung := ERRORLEVEL
	;%pCADAnwendung% der Liste "%pSD%,%pME%,%pMM%,%pDM%" unten hinzufügen -> %pSD%,%pME%,%pMM%,%pDM%,%pCADAnwendung%
	;---------------------------------------------
	;Wenn aktives Fenster eines der aktivierten Programme ist, dann übergebe einen Punkt statt eines Komma.
	if pA_win in %pSD%,%pME%,%pMM%,%pDM%
	{
		 Send, .
		 return
	}
	Send, `,
return

mALL:
menu, tray, ToggleCheck, Alle Programme
bALL := !bALL
return

mSD:
menu, tray, ToggleCheck, Modeling/SolidDesigner
bSD := !bSD
return

mME:
menu, tray, ToggleCheck, Drafting/ME10
bME := !bME
return

mMM:
menu, tray, ToggleCheck, ModelManager/DrawingManager
bMM := !bMM
return

mExit:
ExitApp 
mSuspend:
Suspend, Toggle
